> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fleetit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Support Ticket

> Retrieve a support ticket by ID.



## OpenAPI

````yaml get /v2/support-tickets/{id}/
openapi: 3.0.3
info:
  title: Fleet IT Customer API
  version: 2.0.0
  description: >-
    Public API for Fleet IT platform customers.


    For detailed guides, authentication setup, error codes, and integration
    examples, see the [Fleet IT
    Documentation](https://docs.fleetit.com/documentation/overview).


    ## Headers


    All authenticated endpoints accept an optional `Fleet-Id` header (integer)
    to specify which fleet to operate on. If omitted, the user's default fleet
    is used.
servers: []
security:
  - JWT: []
  - APIKey: []
externalDocs:
  url: https://docs.fleetit.com/documentation/overview
  description: Fleet IT Documentation
paths:
  /v2/support-tickets/{id}/:
    get:
      tags:
        - Support Tickets
      operationId: v2_support_tickets_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          description: A unique integer value identifying this support ticket.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportTicket'
          description: ''
components:
  schemas:
    SupportTicket:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        ticket_type:
          $ref: '#/components/schemas/TicketTypeEnum'
        created_by:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/SupportTicketStatusEnum'
          readOnly: true
        status_display:
          type: string
          readOnly: true
        reason:
          $ref: '#/components/schemas/ReasonEnum'
        reason_display:
          type: string
          readOnly: true
        description:
          type: string
        resolved_by:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
        resolved_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        resolution_note:
          type: string
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        entities:
          type: array
          items:
            $ref: '#/components/schemas/SupportTicketEntity'
          readOnly: true
        comments:
          type: array
          items:
            $ref: '#/components/schemas/SupportTicketComment'
          readOnly: true
      required:
        - comments
        - created_at
        - created_by
        - entities
        - id
        - reason
        - reason_display
        - resolved_at
        - resolved_by
        - status
        - status_display
        - updated_at
    TicketTypeEnum:
      enum:
        - DISPUTE
        - SUPPORT
        - INQUIRY
      type: string
      description: |-
        * `DISPUTE` - Dispute
        * `SUPPORT` - Support
        * `INQUIRY` - Inquiry
    User:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        username:
          type: string
          description: >-
            Required. 150 characters or fewer. Letters, digits and @/./+/-/_
            only.
          pattern: ^[\w.@+-]+$
          maxLength: 150
        email:
          type: string
          format: email
          title: Email address
          maxLength: 254
      required:
        - id
        - username
    SupportTicketStatusEnum:
      enum:
        - OPEN
        - UNDER_REVIEW
        - APPROVED
        - DENIED
        - CANCELLED
        - RESOLVED
      type: string
      description: |-
        * `OPEN` - Open
        * `UNDER_REVIEW` - Under Review
        * `APPROVED` - Approved
        * `DENIED` - Denied
        * `CANCELLED` - Cancelled
        * `RESOLVED` - Resolved
    ReasonEnum:
      enum:
        - INCORRECT_AMOUNT
        - WRONG_VEHICLE
        - DUPLICATE_CHARGE
        - NOT_MY_TOLL
        - ALREADY_PAID
        - OTHER
      type: string
      description: |-
        * `INCORRECT_AMOUNT` - Incorrect Amount
        * `WRONG_VEHICLE` - Wrong Vehicle
        * `DUPLICATE_CHARGE` - Duplicate Charge
        * `NOT_MY_TOLL` - Not My Toll
        * `ALREADY_PAID` - Already Paid
        * `OTHER` - Other
    SupportTicketEntity:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        entity_type:
          type: string
          title: Python model class name
        entity_id:
          type: integer
          maximum: 2147483647
          minimum: 0
      required:
        - entity_id
        - entity_type
        - id
    SupportTicketComment:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        author:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
        content:
          type: string
        sequence:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - author
        - content
        - created_at
        - id
        - sequence
        - updated_at
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      bearerFormat: JWT
    APIKey:
      type: apiKey
      in: header
      name: Authorization

````